WMSUN(1)

NAME
WMSUN - dockable Window Maker sunrise/sunset application

SYNOPSIS
wmSun [-h] [-display <display>] [-lat <latitude>] [-lon <longitude>] [-td <UT - LT>] [-date <yyyymmdd>] [-aa <0, 1, or 2>]

DESCRIPTION

wmSun displays the current day's sunrise and sunset times. Enter your latitude and longitude correctly for the program to work. The program switches the type of the sun according to its state (hot during the day and cold during the night).

OPTIONS

-h  Display the list of the command-line options.

-display <display>
    Use an alternative X display.

-lat <latitude>
    Set the latitude of the observer. Positive for northern hemisphere, negative for southern hemisphere.

-lon <longitude>
    Set the longitude of the observer. Positive west of Greenwich, negative east of Greenwich.

-td <UT - LT>
    Set the difference between UT and LT. Useful when you woild like to display the sunrise/sunset times for some remote latitude/longitude without resetting your clock.

-date <yyyymmdd>
    Set the date to display the sunrise/sunset times this day.

-aa <0, 1, or 2>
    Choose anti-aliasing method: 0 is for none (default), 1 for font, and 2 for font and background.

LATITUDES & LONGITUDES
The latitude and longitude values after dot have to be decimal. So if you take into consideration Paris coordinates: 48 deg 51 min N and 2 deg 21 min E you have to convert the minutes to the decimal values:

    51 / 60 = 0.85

    21 / 60 = 0.35

As a result the valid command for Paris is:

    wmSun -lat 48.85 -lon -2.35

EXAMPLES

wmSun -lat 40.72 -lon 74.00
    Sunrise/sunset times in New York (40 deg 43 min N, 74 deg 00 min W) in local time.

wmSun -lat 51.50 -lon 0.12 -aa 1
    Sunrise/sunset times in London (51 deg 30 min N, 0 deg 7 min W) in local time with font anti-aliasing.

wmSun -lat 55.75 -lon -37.62
    Sunrise/sunset times in Moscow (55 deg 45 min N, 37 deg 37 min E -- east of Greenwich) in local time.

wmSun -lat -33.86 -lon -151.20
    Sunrise/sunset times in Sydney (33 deg 51 min S, 151 deg 12 min E -- southern hemisphere, east of Greenwich) in local time.

wmSun -lat 40.72 -lon 74.00 -td 5
    Sunrise/sunset times for New York when you are outside of New York.

wmSun -lat -33.86 -lon -151.20 -td -11
    Sunrise/sunset times for Sydney when you are outside of Sydney.

You may check the correctness of your settings using the following website:

    http://www.sunrisesunset.com/predefined.asp

Slight differences between sunrise/sunset times calculated by wmSun and www.sunrisesunset.com are caused by different alghoritms used in both cases. The difference may be caused also by different latitudes and longitudes assumed in both cases. For example New York expands from 40 deg 30 min to 45 deg 1 min N and from 71 deg 51 min to 79 deg 46 min W. In decimal values it is 40.50-45.02 N and 71.85-79.77 W. The above wmSun commands assume 40 deg 43 min N and 74 deg 00 min W. In decimal values it is 40.72 and 74.00.

AUTHORS
(C) 2011-2014 Cezary M. Kruk <c.kruk@bigfoot.com>

(C) 1999 Michael G. Henderson <mghenderson@lanl.gov>